------------------------------------------------------------------------------------
--Name:  	tankgiving2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(64, 64)
local Player_1 = CppScriptMgr:AddSimplePlayer(1062527, 62, 62, "5th Turkey Brother", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(120)
local Player_2 = CppScriptMgr:AddSimplePlayer(1062520, 68, 68, "5th Brother Clone 1", 0, 0)
Player_2:SetDir(3)
Player_2:SetHide(1)
local Player_3 = CppScriptMgr:AddSimplePlayer(1062520, 64, 72, "5th Brother Clone 2", 0, 0)
Player_3:SetDir(3)
Player_3:SetHide(1)
local Player_4 = CppScriptMgr:AddSimplePlayer(1062520, 72, 64, "5th Brother Clone 3", 0, 0)
Player_4:SetDir(3)
Player_4:SetHide(1)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Clone!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJWG", 150, 430, "5th Turkey Brother", 250, 655)
Player_1:Say("Clone!", 1000)
CppScriptMgr:WaitMilSec(500)
local Effect_1 = CppScriptMgr:AddEffect("irongate_superc", 68, 68, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetHide(0)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(970)
local Effect_2 = CppScriptMgr:AddEffect("irongate_superc", 64, 72, 33, 1, 1, 1)
Player_3:SetHide(0)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(690)
local Effect_3 = CppScriptMgr:AddEffect("irongate_superc", 72, 64, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(480)
Player_4:SetHide(0)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(1830)
Player_1:Say("Hahaha! I`ve acquired the clone charm!", 1500)
Player_1:SetAction(150)
CppScriptMgr:NpcCallOut("Hahaha! I`ve acquired the clone charm!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJWG", 150, 430, "5th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1310)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e186", 46, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1080)
local Player_9 = CppScriptMgr:AddSimplePlayer(1064457, 46, 44, "Soldier", 0, 0)
CppScriptMgr:WaitMilSec(110)
Player_9:SetZoomPercent(120)
Player_9:SetDir(7)
CppScriptMgr:WaitMilSec(140)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(410)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(120)
Player_4:SetDir(2)
CppScriptMgr:WaitMilSec(110)
Player_4:SetPos(50, 44)
Player_3:SetDir(3)
CppScriptMgr:WaitMilSec(70)
Player_2:SetDir(5)
CppScriptMgr:WaitMilSec(80)
Player_3:SetPos(50, 48)
Player_2:SetPos(45, 49)
CppScriptMgr:WaitMilSec(140)
local Player_5 = CppScriptMgr:AddSimplePlayer(10670, 51, 50, "", 0, 0)
local Player_6 = CppScriptMgr:AddSimplePlayer(10670, 55, 47, "", 0, 0)
local Player_7 = CppScriptMgr:AddSimplePlayer(10670, 48, 51, "", 0, 0)
local npc_0 = CppScriptMgr:AddSimplePlayer(10670, 53, 45, "", 0, 0)
local npc_1 = CppScriptMgr:AddSimplePlayer(10670, 59, 52, "", 0, 0)
local npc_2 = CppScriptMgr:AddSimplePlayer(10670, 44, 46, "", 0, 0)
CppScriptMgr:WaitMilSec(60)
CppScriptMgr:SetViewPosByCell(49, 45)
CppScriptMgr:WaitMilSec(810)
Player_9:Say("Please, let me go! I`m just passing by.", 1000)
Player_9:SetAction(210)
CppScriptMgr:WaitMilSec(530)
CppScriptMgr:NpcCallOut("Please, let me go! I`m just passing by.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc_QiXiLaoRen", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1010)
CppScriptMgr:NpcCallOut("Don`t you ever think about leaving! This is my territory!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJWG", 150, 430, "5th Brother Clone", 250, 655)
Player_4:Say("Don`t you ever think about leaving! This is my territory!", 1000)
CppScriptMgr:WaitMilSec(2040)
local effect_0 = CppScriptMgr:AddEffect("Nnhuolei", 46, 44, 33, 1, 1, 1)
effect_0:Scale(3, 3, 3)
Player_9:SetAction(330)
CppScriptMgr:WaitMilSec(1380)
Player_9:SetHide(1)
local npc_3 = CppScriptMgr:AddSimplePlayer(10670, 46, 44, "", 0, 0)
CppScriptMgr:WaitMilSec(560)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 45, 49, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 50, 48, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 50, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(170)
Player_2:SetHide(1)
Player_3:SetHide(1)
Player_4:SetHide(1)
CppScriptMgr:WaitMilSec(760)
local effect_4 = CppScriptMgr:AddEffect("zf2-e233", 52, 45, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("zf2-e233", 49, 48, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(240)
local player_0 = CppScriptMgr:QueryHero()
local npc_4 = CppScriptMgr:AddSimplePlayer(1062530, 49, 48, "6th Turkey Brother", 0, 0)
CppScriptMgr:WaitMilSec(60)
player_0:SetPos(52, 45)
CppScriptMgr:WaitMilSec(70)
player_0:SetDir(7)
npc_4:SetDir(7)
CppScriptMgr:WaitMilSec(90)
local actor_name_0 = player_0:GetName()
CppScriptMgr:WaitMilSec(70)
CppScriptMgr:NpcCallOut("As you can see, my 5th brother`s clone charm has now turned into an evil spell.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(120)
npc_4:Say("As you can see, my 5th brother`s clone charm has now turned into an evil spell.", 1000)
CppScriptMgr:WaitMilSec(1120)
CppScriptMgr:NpcCallOut("You have to stop my 5th brother. Don`t let him go any further!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_4:Say("You have to stop my 5th brother. Don`t let him go any further!", 1000)
CppScriptMgr:WaitMilSec(1720)
CppScriptMgr:NpcCallOut("Count on me!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
CppScriptMgr:WaitMilSec(740)
player_0:SetAction(200)
CppScriptMgr:WaitMilSec(180)
player_0:Say("Count on me!", 1000)
CppScriptMgr:WaitMilSec(620)